Bug 74194 - CALC crashes while print preview on this file
Summary: CALC crashes while print preview on this file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: NoRepro:4.3.0.0a0+:OSX target:4.3.0 t...
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-01-29 18:48 UTC by Papamatti
Modified: 2014-01-31 01:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
The file which crashes LO Calc 4.2.0.4 (39.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-29 18:48 UTC, Papamatti
Details
Crashlog mac osx (93.13 KB, text/plain)
2014-01-29 18:57 UTC, Jorendc
Details
bt with symbols (7.85 KB, text/plain)
2014-01-29 23:05 UTC, Julien Nabet
Details
valgrind (24.53 KB, application/x-bzip)
2014-01-30 07:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Papamatti 2014-01-29 18:48:17 UTC
Created attachment 93011 [details]
The file which crashes LO Calc 4.2.0.4

Open the file in LO 4.2.0.4 CALC and open the print preview. Calc crashes.

System: Windows XP SP3
Comment 1 Jorendc 2014-01-29 18:57:00 UTC
Created attachment 93012 [details]
Crashlog mac osx

Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Kind regards,
Joren
Comment 2 Jorendc 2014-01-29 18:58:58 UTC
Via IRC papamatti: 4.1.4.2 works well

So, regression. Raising to Major.
Comment 3 Julien Nabet 2014-01-29 23:05:05 UTC
Created attachment 93017 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I can reproduce this.

I attached console + bt
Comment 4 Julien Nabet 2014-01-30 07:27:57 UTC
Created attachment 93037 [details]
valgrind
Comment 5 Julien Nabet 2014-01-30 17:15:29 UTC
Kohei/Eike/Markus: one for you? (we've got a bt + valgrind trace)
Comment 6 Eike Rathke 2014-01-30 18:00:30 UTC
Taking.
Comment 7 Commit Notification 2014-01-30 18:15:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41a859234eac6126693393ff64efc7bfcdec9c54

fdo#74194 Revert "Resolves: #i121136# Improve Spreadsheet performance ..."



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2014-01-30 18:21:58 UTC
Pending review for 4-2 at https://gerrit.libreoffice.org/7751
Comment 9 Commit Notification 2014-01-31 01:22:19 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fe174915f7f2f58dbd800b961ecfd1a3bec01d4&h=libreoffice-4-2

fdo#74194 Revert "Resolves: #i121136# Improve Spreadsheet performance ..."


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.